<script setup lang="ts">
import VersionTag from "../VersionTag/VersionTag.vue";
</script>

<template>
  <main>
    <div>
      <h1>SpaceVote</h1>
      <p>Make your presence count again</p>
    </div>
  </main>
  <footer>
    <VersionTag v-bind="versionTag" />
  </footer>
</template>

<script lang="ts">
export default {
  data() {
    return {
      versionTag: {
        version: this.$attrs.version || import.meta.env.VITE_VERSION || "",
        versionHash:
          this.$attrs.versionHash || import.meta.env.VITE_VERSION_HASH || "",
        mergeRequest: this.$attrs.mergeRequest || import.meta.env.VITE_MR || 0,
        mergeRequestBranch:
          this.$attrs.mergeRequestBranch ||
          import.meta.env.VITE_MR_BRANCH ||
          "",
        provider:
          this.$attrs.provider || import.meta.env.VITE_GIT_PROVIDER || "gitlab",
        providerUrl:
          this.$attrs.providerUrl ||
          import.meta.env.VITE_GIT_PROVIDER_URL ||
          "gitlab.com",
        repo: this.$attrs.repo || import.meta.env.VITE_GIT_REPO || "",
      },
    };
  },
};
</script>

<style scoped>
#storybook-root main {
  height: calc(100vh - 2rem - 18px); /* 1rem padding */
}
main {
  display: flex;
  height: calc(100vh - 18px);
  justify-content: center;
  align-items: center;
  min-width: 320px;
}
</style>
